<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8" />
    <meta content="EndeavourOS ...." name="description" />
    <meta content="EndeavourOS, Virtualbox" name="keywords" />
    <meta content="Kankys" name="author" />

    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <link href="assets/style.css" rel="stylesheet" />
    <link href="/img/icons.png" rel="shortcut icon" />
    <script crossorigin="anonymous" src="https://kit.fontawesome.com/0a43c6cd1f.js"></script>
    <!--icons dark, go to up-->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet" />
    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - Jak nainstalovat EndeavourOS na Virtualbox</title>
</head>

<body>
    <?php require "assets/header.php" ?>
    <main>
        <section class="welcome">
            <h1>Jak nainstalovat EndeavourOS na Virtualbox</h1>
            <img alt="" class="qt" src="img/endeavour_2_nologo.webp" />
            <p>
                Vytvořte si nový stroj se svým oblíbeným jménem, ​​například –>
                EndeavourOS
            </p>
            <p><strong>Machine folder</strong>: jak se vám zlíbí</p>
            <p><strong>Type</strong>: Linux</p>
            <p><strong>Version</strong>: Arch Linux (64-bit)</p>
            <p>
                <strong>Memory size</strong>: (minimálně 2000 MB, doporučeno 2500 MB –
                4000 MB)
            </p>
            <p>
                <strong>Hard Disk</strong>: „Vytvořte virtuální pevný disk
                nyní“(“Create a virtual hard disk now”)
            </p>
            <img alt="" class="qt" src="img/vb1a.webp" style="width: 50%;height: auto;" />
            <p>Klikněte na „Create“ (Vytvpřit)</p>
            <p>
                <strong>Umístění souboru</strong>: Kam chcete uložit svůj virtuální
                počítač? Uvědomte si, že potřebujete dostatek místa pro virtuální
                pevný disk.
            </p>
            <p>
                <strong>Velikost souboru</strong>: s přibližně 15 GB můžete začít –
                záleží na plánech vašeho virtuálního počítače. Na malou testovací
                jízdu to rozhodně stačí.
            </p>
            <p>
                <strong>Typ souboru pevného disku</strong>: Co preferujete, VDI je
                naprosto v pořádku.
            </p>
            <p>
                <strong>Uložiště na fyzickém disku</strong>: Dynamicky alokováno.
                Virtuální počítač zabere pouze tolik místa, kolik je potřeba. Vámi
                zvolená velikost souboru je maximální.
            </p>
            <img alt="" class="qt" src="img/virtualbox-2-1.webp" style="width: 50%;height: auto;" />
            <p>
                Po průvodci musíte změnit jedno nebo dvě nastavení. Nejprve klikněte
                na <strong>[Optical Drive] </strong> Empty (Vyprázdnit). Poté zvolíte
                stažený EndeavourOS-ISO a připojíte jej do virtuální optické jednotky.
            </p>
            <img alt="" class="qt" src="img/Bildschirmfoto-vom-2019-08-22-13-30-24.webp"
                style="width: 50%;height: auto;" />
            <p>
                Pokud plánujete aktivovat 3D akceleraci pro GPU (grafickou kartu),
                musíte změnit grafický řadič na „VBox SVGA “. A chcete maximalizujte
                „Video paměť“ na 128 MB.
            </p>
            <h3>
                Poznámky / Odstraňování problémů (aktuálně VMSVGA funguje dobře!):
            </h3>
            <p>
                Pomáhá změnit nastavení zobrazení tak, aby bylo použito starší lépe
                implementované VBoxVGA v nastavení jako řídicí zařízení. Ale protože
                VirtualBOX nyní dává varování, že máte špatné nastavení, pokud zvolíte
                toto, a zdá se, že VMSVGA (co VirtualBox nastavil jako výchozí pro
                hosty Linuxu) stále nefunguje správně s hosty založenými na Arch,
                vrátí se na výchozí nastavení, když opustíte okno nastavení a musíte
                jej nastavit z hlavního přehledu Boxu:
            </p>
            <img alt="" class="qt" src="img/05e65955b353da10ffee4ef4c688621d4ca599d4_2_620x500.webp"
                style="width: 50%;height: auto;" />
            <p>
                Někdy se nastavení vrátí, takže před spuštěním ArchBoxu zkontrolujte,
                zda je Graphic-Controller nastaven na VBoxSVGA! z této obrazovky
                můžete také nastavit paměť pro grafiku větší než 125 MB:
            </p>
            <img alt="" class="qt" src="img/a232e150ac26b246dd2698173af5c52bc64d57c4_2_618x500.webp"
                style="width: 50%;height: auto;" />
            <p>Všechny kroky pro zprovoznění grafického ovladače v prezentaci:</p>
            <img alt="" class="qt" src="img/vv.webp" style="width: 50%;height: auto;" />
            <p>
                Nastavte na 256 MB pomocí posuvníku nebo tlačítka a poté klikněte na
                OK
            </p>
            <img alt="" class="qt" src="img/vvvv.webp" style="width: 50%;height: auto;" />
            <p>
                Nejprve zkontrolujte 3D v nastavení názvu virtuálního počítače a
                nechte libovolný grafický řadič, poté klikněte na OK.
            </p>
            <img alt="" class="qt" src="img/vg.webp" style="width: 50%;height: auto;" />
            <p>
                Zavřete nastavení okna a klikněte jako níže přímo na název VMSVGA
                vašeho virtuálního počítače
            </p>
            <img alt="" class="qt" src="dd" style="width: 50%;height: auto;" />
            <p>
                Poté se objeví malé okno, takže jej změňte na VboxSVGA a klikněte na
                OK.
            </p>
            <img alt="" src="img/bn" />
            <p>Nyní se VboxSVGA se zaškrtnutým 3D drží vpravo.</p>
            <img alt="" class="qt" src="img/ss.webp" style="width: 50%;height: auto;" />
            <p>
                Klikněte na 128Mo (může to být jiná hodnota) a objeví se malé okno
            </p>
            <img alt="" class="qt" src="img/df.webp" style="width: 50%;height: auto;" />
            <p>
                Nastavte na 256 Mo pomocí posuvníku nebo tlačítka a poté klikněte na
                OK
            </p>
            <img alt="" class="qt" src="img/ev.webp" style="width: 50%;height: auto;" />
            <p>
                Nejprve zkontrolujte 3D v nastavení názvu virtuálního počítače a
                nechte libovolný grafický řadič, poté klikněte na OK.
            </p>
            <p>To je vše... čas spustit virtuální stroj a vyzkoušet EndeavourOS.</p>
            <p>
                Návod je převzat z
                <a href="https://discovery.endeavouros.com/applications/installing-endeavouros-on-virtualbox/2021/03/"
                    target="_blank">Discovery</a>
                na EndeavourOS vydán 14. března 2021.
            </p>
            <p>
                <code><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                20.4.2024</code>
            </p>
        </section>
    </main>
    <?php require "assets/returnbutton.php" ?>
    <?php require "assets/footer.php" ?>
    <script src="assets/script.js"></script>
</body>

</html>